# requestsTransactionBatchCalculation

Batch Simulate Method (dryrun)

`POST /v3/batch/calculations`

**API:** AvaTax Brazil
**Tag:** Batch Calculations
**API Version:** 3.0
**Base URL:** https://avataxbr.sandbox.avalarabrasil.com.br

Source: https://developer.avalara.com/products/avatax-brazil/api/methods/Batch%20Calculations/requestsTransactionBatchCalculation/

## Description

(en) This operation uses a minimum set of attributes to calculate the taxes in batch.
(pt) Esta operação usa um conjunto mínimo de atributos para calcular os impostos em lote.

## Request Body

**Content-Type:** `application/json`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | (en) Batch UUID
(pt) Lote UUID | `BatchTransactionFull` |
| 400 |  |  |
| 401 |  |  |
| 403 |  |  |
| 404 |  |  |
| 413 |  |  |
| 429 |  |  |
| 500 |  |  |
| 503 |  |  |

### 200 Response: `BatchTransactionFull`

| Property | Type | Required | Description |
|---|---|---|---|
| `documentCode` | string | No | (en) Identifier of a batch calculation request.
(pt) Identificador de uma solicitação de cálculo em lote.
Usage purpose:
Calculation/Invoice |

## Example Request

```bash
curl -X POST "https://avataxbr.sandbox.avalarabrasil.com.br/v3/batch/calculations" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '[
  {}
]'
```